<?php

global $post;

$style = liquid_helper()->get_option( 'post-style', 'cover-spaced' );
$style = !empty( $style ) ? $style : 'cover-spaced';

$figure_atts     = array();
$enable_parallax = liquid_helper()->get_option( 'post-parallax-enable' );
$alt_image_src   = liquid_helper()->get_option( 'liquid-post-cover-image' );

if( isset( $alt_image_src['media']['id'] ) ){
	$image_src = wp_get_attachment_url( $alt_image_src['media']['id'] );
}
else {
	$image_src = isset( $alt_image_src['background-image'] ) ? esc_url( $alt_image_src['background-image'] ) : get_the_post_thumbnail_url( get_the_ID(), 'full' );	
}

if( 'default' === $style ) { 
	
	if( '' !== get_the_post_thumbnail() ) {

		$figure_atts[] = 'data-responsive-bg="true"';
		
		if( 'off' !== $enable_parallax ) {
			
			$figure_atts[] = 'data-parallax="true"';
			$figure_atts[] = 'data-parallax-options=\'{ "parallaxBG": true, "triggerHook": "onCenter" }\'';
			$figure_atts[] = 'data-parallax-from=\'{ "translateY": "-15%" }\'';
			$figure_atts[] = 'data-parallax-to=\'{ "translateY": "20%" }\'';
		}
?>
		<div class="blog-single-cover" data-inview="true" data-inview-options='{ "onImagesLoaded": true }' style="background-color: #dfdfe1;" data-reveal="true" data-reveal-options='{ "direction": "tb", "bgcolor": "#f0f3f6" }'>
			<figure class="blog-single-media hmedia" <?php echo implode( ' ', $figure_atts ); ?>>
				<?php the_post_thumbnail( 'full', array( 'itemprop' => 'url' ) ); ?>
			</figure>
		</div><!-- /.blog-single-cover -->	
<?php 

	} 

} 
elseif( 'cover' === $style || 'cover-spaced' === $style  ) {

	if( '' !== $image_src ) {
		$figure_atts[] = 'data-responsive-bg="true"';

		if( 'off' !== $enable_parallax ) {
			$figure_atts[] = 'data-parallax="true"';
			$figure_atts[] = 'data-parallax-options=\'{ "parallaxBG": true, "triggerHook": "onLeave" }\'';
			$figure_atts[] = 'data-parallax-from=\'{ "translateY": "0%" }\'';
			$figure_atts[] = 'data-parallax-to=\'{ "translateY": "20%" }\'';
		}
?>
		<figure class="blog-single-media post-image hmedia" <?php echo implode( ' ', $figure_atts ); ?>>
			<?php 
				if( isset( $alt_image_src['background-image'] ) && !empty( $alt_image_src['background-image'] ) ) { 
					$img_id = attachment_url_to_postid( $image_src );
					echo wp_get_attachment_image( $img_id, 'full', false, array( 'itemprop' => 'url' ) );
			?>
			<?php
				
				} else { 
				
			?>
				<?php the_post_thumbnail( 'full', array( 'itemprop' => 'url' ) ); ?>
			<?php } ?>
		</figure>	
<?php 

	} 

}
elseif( 'slider' === $style ) { 
	
	$gallery = get_post_meta( get_the_ID(), 'liquid-post-slider', true );
	if( ! empty( $gallery ) ) {
		$gallery = explode( ',', $gallery );
		
		if( 'off' !== $enable_parallax ) {
			$figure_atts[] = 'data-responsive-bg="true"';
			$figure_atts[] = 'data-parallax="true"';
			$figure_atts[] = 'data-parallax-options=\'{ "parallaxBG": true, "triggerHook": "onLeave" }\'';
			$figure_atts[] = 'data-parallax-from=\'{ "translateY": "0%" }\'';
			$figure_atts[] = 'data-parallax-to=\'{ "translateY": "20%" }\'';
		}
			
	}
	
?>
	
<div class="carousel-container cover-carousel">

	<div class="carousel-items row" id="blog-cover-carousel" data-lqd-flickity='{ "prevNextButtons": true, "buttonsAppendTo": "#blog-cover-carousel-thumbs", "navArrow": "1" }'>

		<?php foreach( $gallery as $slide ) {
			
			$image_src = wp_get_attachment_url( $slide );
			
		?>
		<div class="col-sm-12 carousel-item">

			<figure class="blog-single-media" style="background-image:url(<?php echo esc_url( $image_src ) ?>);" <?php echo implode( ' ', $figure_atts ); ?>>
				<?php echo wp_get_attachment_image( $slide, 'full', false ); ?>
			</figure>				

		</div><!-- /.col-sm-12 carousel-item -->	
		<?php } ?>

	</div><!-- /.carousel-items -->

</div><!-- /.carousel-container -->


<?php 

}
?>